/*******************************************************************************
 * FoxSpecialMove_ToggleVisorOn generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxSpecialMove_ToggleVisorOn extends FoxSpecialMove_ToggleVisor;

protected function bool InternalCanDoSpecialMove()
{
    return !PawnOwner.IsDoingSpecialMove(15);
    //return ReturnValue;    
}

simulated function StartSpecialMove()
{
    local FoxPC PC;

    super(FoxSpecialMove_AnimationBase).StartSpecialMove();
    PC = FoxPC(PawnOwner.Controller);
    // End:0x94
    if(PC != none)
    {
        PC.ClearTimer('VisorRampTimer');
        PC.HRVState = 2;
    }
    //return;    
}

simulated function CleanUpSpecialMove()
{
    super(FoxSpecialMove_AnimationBase).CleanUpSpecialMove();
    PawnOwner.OnVisorToggled(true);
    //return;    
}

simulated function AnimEndNotification(AnimNodeSequence SeqNode, float PlayedTime, float ExcessTime)
{
    super(FoxSpecialMove).AnimEndNotification(SeqNode, PlayedTime, ExcessTime);
    // End:0xEA
    if((((PawnOwner != none) && PawnOwner.IsLocallyControlled()) && PawnOwner.Controller != none) && FoxPC(PawnOwner.Controller) != none)
    {
        FoxPC(PawnOwner.Controller).ConditionalCheckForHRVTurnOff();
    }
    //return;    
}

defaultproperties
{
    Anims(0)=(TP_Anim=(AnimName=(None,None,HRV_A)),FP_Anim=VisorUp_a,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10)
}